Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.agent.conf
Enum ScanResourcesOption

    java.lang.Object
      java.lang.Enum<ScanResourcesOption>
          org.drools.agent.conf.ScanResourcesOption

All Implemented Interfaces:
  Serializable, Comparable<ScanResourcesOption>

    public enum ScanResourcesOption

extends Enum<ScanResourcesOption>

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the scan resource option

Method Summary
`String` | `getPropertyName()`
`boolean` | `isScanResources()`
`static ScanResourcesOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScanResourcesOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final ScanResourcesOption YES

### NO

    public static final ScanResourcesOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the scan resource option

  See Also:
    Constant Field Values

Method Detail

### values

    public static ScanResourcesOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScanResourcesOption c : ScanResourcesOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScanResourcesOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

### isScanResources

    public boolean isScanResources()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.